org.jdom2.contrib.schema

## Class ValidationError.Severity

- java.lang.Object
- - org.jdom2.contrib.schema.ValidationError.Severity

- Enclosing class:
    ValidationError

      public static final class ValidationError.Severity
      extends java.lang.Object

  Class to support type-safe enumeration design pattern to represent severity levels of validation errors.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValidationError.Severity(int level)` Severity constructor, private on purpose.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Tests for severity equality.
    `int` | `hashCode()` Returns a unique identifier for this severity.
    `java.lang.String` | `toString()` Returns a string representation of this severity suitable for debugging and diagnosis.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationError.Severity

          protected ValidationError.Severity(int level)

      Severity constructor, private on purpose.
      Parameters:
        `level` - the severity level.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Returns a unique identifier for this severity.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a unique identifier for this severity.
      See Also:
        `Object.hashCode()`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this severity suitable for debugging and diagnosis.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this severity.
      See Also:
        `Object.toString()`

    - #### equals

          public boolean equals(java.lang.Object o)

      Tests for severity equality. This is only necessary to handle cases where two `Type` objects are loaded by different class loaders.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the object compared for equality to this severity.
      Returns:
        `true` if and only if `o` represents the same severity as this object.
      See Also:
        `Object.equals(Object)`